function x=mydemod(y,Fc,Fs)
[r,c]=size(y);
if r==1;y=y(:);len=c;else;len=r;end;
if length(Fs)<2;ip=0;else;ip=Fs(2);Fs=Fs(1);end;
[num,den]=butter(5,Fc*2/Fs);
t=(0:1/Fs:(len-1)/Fs)';
x=y.*cos(2*pi*Fc*t+ip);
x=filter(num,den,x)*2;
if r==1;x=x.';end;